# BazVenueAdapterX2y2
[![Build Status](https://github.com/atlas-xyz/baz-venue-adapter-x2y2/workflows/test/badge.svg?branch=main)](https://github.com/atlas-xyz/baz-venue-adapter-x2y2/actions?query=workflow%3Atest)
[![hex.pm version](https://img.shields.io/hexpm/v/baz_venue_adapter_x2y2.svg?style=flat)](https://hex.pm/packages/baz_venue_adapter_x2y2)

[X2Y2](https://x2y2.io) venue adapter for [`baz`](https://github.com/atlas-xyz/baz)

## Resources

| Venue                   | Supported |
| ----------------------- | :-------: |
| Collections             | [ ]       |
| Collection Traits       | [ ]       |
| Collection Assets       | [ ]       |
| Collection Asset Traits | [ ]       |
| Collection Events       | [ ]       |

## Installation

Add the `baz_venue_adapter_x2y2` package to your list of dependencies in `mix.exs`:

```elixir
def deps do
  [
    {:baz_venue_adapter_x2y2, "~> 0.0.1"}
  ]
end
```

## Usage

```elixir
config :baz,
  venues: %{
    "x2y2" => %{
      adapter: BazVenueAdapterX2Y2,
      collections: "*",
      start_on_boot: false,
      poll_stream_enabled: true,
      websocket_stream_enabled: false,
      credentials: %{}
    }
  }
```

## Authors

- Alex Kwiatkowski - alex@atlas.xyz
